#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
using namespace std;

int main() {
	vector<string> numbers(3);
	
	cin >> numbers[0] >> numbers[1] >> numbers[2];
	
	sort(numbers.begin(), numbers.end());
	
	cout << numbers[2] << numbers[1] << numbers[0] << endl;
	
	return 0;
}